using System;

namespace RGD.Model
{
    [Serializable]
    public class MError
    {
        private int _ErrorIndex;

        public int ErrorIndex
        {
            get { return _ErrorIndex; }
            set { _ErrorIndex = value; }
        }

        private int _DeviceKindIndex;

        public int DeviceKindIndex
        {
            get { return _DeviceKindIndex; }
            set { _DeviceKindIndex = value; }
        }

        private int _DeviceErrorIndex;

        public int DeviceErrorIndex
        {
            get { return _DeviceErrorIndex; }
            set { _DeviceErrorIndex = value; }
        }

        private string _ErrorName;

        public string ErrorName
        {
            get { return _ErrorName; }
            set { _ErrorName = value; }
        }

        private int _ErrorLevel;

        public int ErrorLevel
        {
            get { return _ErrorLevel; }
            set { _ErrorLevel = value; }
        }

        private int _ManageStatus;

        public int ManageStatus
        {
            get { return _ManageStatus; }
            set { _ManageStatus = value; }
        }
    }
}